Show / Hide Table of Contents

# Class IpcError

This exception is thrown when an IPC errors are encountered.

##### Inheritance

System.Object
System.Exception
IpcError
IpcLengthMismatchError
IpcNotReadyError
IpcTypeMismatchError
IpcValueNullError

##### Implements

System.Runtime.Serialization.ISerializable

##### Inherited Members

System.Exception.GetBaseException()
System.Exception.GetObjectData(System.Runtime.Serialization.SerializationInfo, System.Runtime.Serialization.StreamingContext)
System.Exception.GetType()
System.Exception.ToString()
System.Exception.Data
System.Exception.HelpLink
System.Exception.HResult
System.Exception.InnerException
System.Exception.Message
System.Exception.Source
System.Exception.StackTrace
System.Exception.TargetSite
System.Exception.SerializeObjectState
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Dalamud.Plugin.Ipc.Exceptions

###### Assembly: Dalamud.dll

##### Syntax

    public abstract class IpcError : Exception, ISerializable

### Constructors

| Improve this Doc View Source

#### IpcError()

Initializes a new instance of the IpcError class.

##### Declaration

    public IpcError()

| Improve this Doc View Source

#### IpcError(String)

Initializes a new instance of the IpcError class.

##### Declaration

    public IpcError(string message)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | message | The message that describes the error.

| Improve this Doc View Source

#### IpcError(String, Exception)

Initializes a new instance of the IpcError class.

##### Declaration

    public IpcError(string message, Exception ex)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | message | The message that describes the error.
System.Exception | ex | The exception that is the cause of the current exception.

### Implements

System.Runtime.Serialization.ISerializable